सामग्री पर जाएँ

Meshy Rigging Multi Animation

इंटीग्रेट करें

मॉडल id meshy/rigging/multi-animation
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/meshy/rigging/multi-animation?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model_url": "https://example.com/your-file.glb",
    "animation_action_ids": [
      36,
      92
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.44 440 API क्रेडिट · ≈ ₽46.40 चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Meshy 3D #stylized#transform#3d

ह्यूमनॉइड GLB में एक बार रिग जोड़ता है और एक ही रन में कई एनीमेशन प्रीसेट बेक करता है

Meshy · डेटा (JSON)

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

ऐसे ह्यूमनॉइड 3D कैरेक्टर को रिग और एनीमेट करने के लिए URL, जिसके अंग स्पष्ट रूप से अलग-अलग दिखाई देते हों। URL सार्वजनिक रूप से सुलभ होना चाहिए और GLB फ़ाइल पर निर्देशित होना चाहिए; मॉडल Hunyuan, Trellis, Meshy या किसी अन्य 3D निर्माण टूल से आ सकता है।

•आवश्यक

Meshy लाइब्रेरी एनीमेशन प्रीसेट ID; कम से कम एक आवश्यक है, प्रत्येक [0, 696] के भीतर होना चाहिए, अधिकतम 10 अलग-अलग क्लिप हो सकते हैं और डुप्लिकेट हटा दिए जाते हैं। प्रत्येक ID समान रिग का उपयोग करके एक क्लिप बनाता है, जो अनुरोध में दिए गए क्रम में animations array में लौटाई जाती है। उपलब्ध ID https://docs.meshy.ai/en/api/animation-library पर दस्तावेज़ीकृत हैं।

उन्नत height_meters · enable_safety_checker
डिफ़ॉल्ट 1.7

मीटर में मापी गई अनुमानित कैरेक्टर ऊँचाई।

POST /run/meshy/rigging/multi-animation?wait=20 कोटेशन → $0.44
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/meshy/rigging/multi-animation?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model_url": "https://example.com/your-file.glb",
    "animation_action_ids": [
      36,
      92
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Meshy Rigging Multi Animation के बारे में

`model_url` से ह्यूमनॉइड GLB में रिग जोड़ता है और उसी रिग पर `animation_action_ids` में मौजूद प्रत्येक ID के लिए एक एनीमेशन क्लिप बनाता है। क्लिप अनुरोध के क्रम में `animations` ऐरे में, रिग किए गए GLB और FBX फ़ाइलों तथा चलने-दौड़ने के बुनियादी एनीमेशन के साथ लौटती हैं। कम से कम एक ID आवश्यक है। `height_meters` कैरेक्टर की अनुमानित ऊंचाई सेट करता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
model_urlआवश्यक
प्रकारstring
ऐसे ह्यूमनॉइड 3D कैरेक्टर को रिग और एनीमेट करने के लिए URL, जिसके अंग स्पष्ट रूप से अलग-अलग दिखाई देते हों। URL सार्वजनिक रूप से सुलभ होना चाहिए और GLB फ़ाइल पर निर्देशित होना चाहिए; मॉडल Hunyuan, Trellis, Meshy या किसी अन्य 3D निर्माण टूल से आ सकता है।
height_metersवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1.7
> 0
मीटर में मापी गई अनुमानित कैरेक्टर ऊँचाई।
animation_action_idsआवश्यक
प्रकारinteger[]
Meshy लाइब्रेरी एनीमेशन प्रीसेट ID; कम से कम एक आवश्यक है, प्रत्येक [0, 696] के भीतर होना चाहिए, अधिकतम 10 अलग-अलग क्लिप हो सकते हैं और डुप्लिकेट हटा दिए जाते हैं। प्रत्येक ID समान रिग का उपयोग करके एक क्लिप बनाता है, जो अनुरोध में दिए गए क्रम में animations array में लौटाई जाती है। उपलब्ध ID https://docs.meshy.ai/en/api/animation-library पर दस्तावेज़ीकृत हैं।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
प्रीप्रोसेसिंग सुरक्षा-जाँच स्विच: true करने पर इनपुट सुरक्षा-जाँच प्रोसेसिंग की पूर्वशर्त बन जाती है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "meshy/rigging/multi-animation",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 440,
    "usd": "0.44",
    "charged": 440,
    "refunded": 0
  },
  "input": {
    "model_url": "https://example.com/your-file.glb",
    "animation_action_ids": [
      36,
      92
    ]
  },
  "output": {
    "rigged_character_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "rigged_character_fbx": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "basic_animations": {
      "walking_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "walking_fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "walking_armature_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "running_armature_glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "animations": [
      {
        "action_id": 1,
        "animation_glb": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "animation_fbx": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        }
      }
    ],
    "rig_task_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
rigged_character_glb
object {url, content_type, file_name, file_size} | nullरिगिंग लागू किया गया GLB-फ़ॉर्मैट कैरेक्टर।
rigged_character_fbx
object {url, content_type, file_name, file_size} | nullरिगिंग लागू किया गया FBX-फ़ॉर्मैट कैरेक्टर।
basic_animations
object {walking_glb, walking_fbx, walking_armature_glb, running_glb, running_fbx, running_armature_glb} | nullरिगिंग के भाग के रूप में दी गई बुनियादी चलने और दौड़ने की एनीमेशन।
animations
array of object {action_id, animation_glb, animation_fbx}अनुरोध में दिए गए action ID से मेल खाने वाले क्रमबद्ध एनीमेशन परिणाम। प्रत्येक अनुरोधित ID की एक प्रविष्टि होती है, जिसमें रिग का उपयोग करके बनाई गई क्लिप होती है।
rig_task_id
string | nullMeshy में रिगिंग कार्य का पहचानकर्ता।

और मॉडल: 3D

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/meshy/rigging/multi-animation.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt